import { ComProtocol } from '@iotize/tap/protocol/api';
import { ProtocolFactoryService, ProtocolMeta } from '@iotize/ionic';
import * as i0 from "@angular/core";
export declare class ProtocolFactoryTestingService implements ProtocolFactoryService {
    constructor();
    create(meta: ProtocolMeta): ComProtocol | Promise<ComProtocol>;
    isValid(meta: ProtocolMeta): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProtocolFactoryTestingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ProtocolFactoryTestingService>;
}
